Upstream information

CVE-2014-3466 at MITRE

Description

Buffer overflow in the read_server_hello function in lib/gnutls_handshake.c in GnuTLS before 3.1.25, 3.2.x before 3.2.15, and 3.3.x before 3.3.4 allows remote servers to cause a denial of service (memory corruption) or possibly execute arbitrary code via a long session id in a ServerHello message.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 880730 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
Patchnames:
sledsp3-gnutls
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
  • gnutls >= 3.2.15-11.1
  • libgnutls28 >= 3.2.15-11.1
  • libgnutls28-32bit >= 3.2.15-11.1
SUSE Linux Enterprise Desktop 12 SP3
  • gnutls >= 3.3.27-1.10
  • libgnutls28 >= 3.3.27-1.10
  • libgnutls28-32bit >= 3.3.27-1.10
SUSE Linux Enterprise Desktop 12 SP4
  • gnutls >= 3.3.27-3.3.1
  • libgnutls28 >= 3.3.27-3.3.1
  • libgnutls28-32bit >= 3.3.27-3.3.1
SUSE Linux Enterprise Desktop 12
  • gnutls >= 3.2.15-1.8
  • libgnutls28 >= 3.2.15-1.8
  • libgnutls28-32bit >= 3.2.15-1.8
SUSE Linux Enterprise High Availability Extension 11 SP3
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
Patchnames:
slehasp3-gnutls
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • gnutls >= 3.3.27-3.3.1
  • libgnutls-openssl27 >= 3.3.27-3.3.1
  • libgnutls28 >= 3.3.27-3.3.1
  • libgnutls28-32bit >= 3.3.27-3.3.1
SUSE Linux Enterprise Module for Basesystem 15
  • gnutls >= 3.6.2-4.15
  • libgnutls-devel >= 3.6.2-4.15
  • libgnutls30 >= 3.6.2-4.15
  • libgnutlsxx-devel >= 3.6.2-4.15
  • libgnutlsxx28 >= 3.6.2-4.15
SUSE Linux Enterprise Module for Desktop Applications 15
  • libgnutls30-32bit >= 3.6.2-4.15
SUSE Linux Enterprise Server 11 SP1-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp1-gnutls
SUSE Linux Enterprise Server 11 SP2-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp2-gnutls
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
  • libgnutls26-x86 >= 2.4.1-24.39.51.1
Patchnames:
slessp3-gnutls
SUSE Linux Enterprise Server 11 SP4
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.55.1
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
  • gnutls >= 3.2.15-11.1
  • libgnutls-openssl27 >= 3.2.15-11.1
  • libgnutls28 >= 3.2.15-11.1
  • libgnutls28-32bit >= 3.2.15-11.1
SUSE Linux Enterprise Server 12 SP3
  • gnutls >= 3.3.27-1.10
  • libgnutls-openssl27 >= 3.3.27-1.10
  • libgnutls28 >= 3.3.27-1.10
  • libgnutls28-32bit >= 3.3.27-1.10
SUSE Linux Enterprise Server 12
  • gnutls >= 3.2.15-1.8
  • libgnutls-openssl27 >= 3.2.15-1.8
  • libgnutls28 >= 3.2.15-1.8
  • libgnutls28-32bit >= 3.2.15-1.8
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gnutls >= 3.2.15-11.1
  • libgnutls-openssl27 >= 3.2.15-11.1
  • libgnutls28 >= 3.2.15-11.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgnutls-devel >= 2.4.1-24.39.51.1
  • libgnutls-extra-devel >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
Patchnames:
sdksp3-gnutls
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libgnutls-devel >= 3.2.15-11.1
  • libgnutls-openssl-devel >= 3.2.15-11.1
  • libgnutlsxx-devel >= 3.2.15-11.1
  • libgnutlsxx28 >= 3.2.15-11.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libgnutls-devel >= 3.3.27-1.10
  • libgnutls-openssl-devel >= 3.3.27-1.10
  • libgnutlsxx-devel >= 3.3.27-1.10
  • libgnutlsxx28 >= 3.3.27-1.10
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libgnutls-devel >= 3.3.27-3.3.1
  • libgnutls-openssl-devel >= 3.3.27-3.3.1
  • libgnutlsxx-devel >= 3.3.27-3.3.1
  • libgnutlsxx28 >= 3.3.27-3.3.1
SUSE Linux Enterprise Software Development Kit 12
  • libgnutls-devel >= 3.2.15-1.8
  • libgnutls-openssl-devel >= 3.2.15-1.8
  • libgnutlsxx-devel >= 3.2.15-1.8
  • libgnutlsxx28 >= 3.2.15-1.8
SUSE Manager 1.7
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
Patchnames:
sleman17sp2-gnutls
openSUSE Leap 15.0
  • gnutls >= 3.6.2-lp150.3.2
  • libgnutls-dane0 >= 3.6.2-lp150.3.2
  • libgnutls30 >= 3.6.2-lp150.3.2
Patchnames:
openSUSE Leap 15.0 GA gnutls-3.6.2-lp150.3.2
openSUSE Tumbleweed
  • gnutls >= 3.4.15-1.1
  • gnutls-guile >= 3.4.15-1.1
  • libgnutls-dane-devel >= 3.4.15-1.1
  • libgnutls-dane0 >= 3.4.15-1.1
  • libgnutls-devel >= 3.4.15-1.1
  • libgnutls-devel-32bit >= 3.4.15-1.1
  • libgnutls-openssl-devel >= 3.4.15-1.1
  • libgnutls-openssl27 >= 3.4.15-1.1
  • libgnutls30 >= 3.4.15-1.1
  • libgnutls30-32bit >= 3.4.15-1.1
  • libgnutlsxx-devel >= 3.4.15-1.1
  • libgnutlsxx28 >= 3.4.15-1.1
Patchnames:
openSUSE Tumbleweed GA gnutls-3.4.15-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 gnutls Already fixed
SLED-10-SP3 gnutls Released
SLED-10-SP4 gnutls Released
SLES-10-SP3 gnutls Released
SLES-10-SP4 gnutls Released
SLES_LTSS-10-SP4 gnutls Released
SUSE Linux Enterprise Desktop 11 SP1 gnutls Already fixed
SUSE Linux Enterprise Desktop 11 SP2 gnutls Already fixed
SUSE Linux Enterprise Desktop 11 SP3 gnutls Already fixed
SUSE Linux Enterprise High Availability Extension 11 SP1 gnutls Already fixed
SUSE Linux Enterprise High Availability Extension 11 SP3 gnutls Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 gnutls Already fixed
SUSE Linux Enterprise Server 11 SP1 gnutls Already fixed
SUSE Linux Enterprise Server 11 SP1 LTSS gnutls Already fixed
SUSE Linux Enterprise Server 11 SP2 gnutls Already fixed
SUSE Linux Enterprise Server 11 SP2 LTSS gnutls Already fixed
SUSE Linux Enterprise Server 11 SP2 for VMware gnutls Already fixed
SUSE Linux Enterprise Server 11 SP3 gnutls Already fixed
SUSE Linux Enterprise Server 11 SP3 for VMware gnutls Already fixed
SUSE Linux Enterprise Server 12 SP2 BCL gnutls Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON gnutls Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS SAP gnutls Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL gnutls Already fixed
SUSE Linux Enterprise Server 12 SP3 ESPOS gnutls Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS gnutls Already fixed
SUSE Linux Enterprise Server 12 SP4 ESPOS gnutls Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS gnutls Already fixed
SUSE Linux Enterprise Server 12 SP5 gnutls Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gnutls Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gnutls Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gnutls Already fixed
SUSE Linux Enterprise Server for SAP Business All-in-One gnutls Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP1 gnutls Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP2 gnutls Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP3 gnutls Already fixed
SUSE OpenStack Cloud 8 gnutls Already fixed
SUSE OpenStack Cloud 9 gnutls Already fixed
SUSE OpenStack Cloud Crowbar 8 gnutls Already fixed
SUSE OpenStack Cloud Crowbar 9 gnutls Already fixed